package com.ivt.ibridge.aidl;

import com.ivt.ibridge.aidl.BleDevice;
import com.ivt.ibridge.aidl.DataCallback;


interface BleBinder{

	void deviceSelected(in BleDevice dev);
	
	boolean getAutoConnect();
	
	void setAutoConnect(boolean connect);
	
	boolean getConnected();
	
	boolean getApkisrunning();
	
	void setApkisrunning(boolean isrun);
	
	void startDiscovery();
	
	void stopDiscovery();
	
	void DisconnectExisting(String address);
	
	void autobluetooth();
	/**
	** 停止自动连接蓝牙
	**/
	void stopautobluetooth();
	
	List<String> getConnectedList();
	
	void setConnectedList(in List<String> list);
	
	List<BleDevice> getAvailableDevices();
	
	void clearAvailablelist();
	
	void disconnectDevice(in BleDevice dev);
	
	boolean connectDevice(in BleDevice dev,int mode);
	
	void setBluethAdapter();
	/**
	** 应用退出，断开蓝牙
	*/
	void desConnectLastDevice();
	/**
	** 发送开始导航指令
	*/
	void sendStartNavi();
	/**
	** 发送速度
	**/
	void sendSpeed(int speed);
	/**
	** 获取当前连接设备
	*/
	BleDevice getConnectedDev();
	
	void registerCallBack(in DataCallback callback);
	
	void unRegisterCallBack(in DataCallback callback);
	/**
	**获取胎压配对状态
	**/
	boolean[] getPairState();
	/**
	**发送获取配对id指令。
	**/
	void sendGetPairedId();
	/**
	**发送请求胎压报警设置
	**/
	void sendGetWarningSeting();
	/**
	**胎压报警设置
	**/
	void sendSetWarning(int ht,int lt,int hp,int lp);
	/**
	** 传感器配对
	**/
	void sendSetpairId(in byte index,in String id); 
	/**
	** 发送拍照指令
	**/
	void sendPictureCut();
	/**
	** 开启或关闭循环数据获取
	**/
	void startOrEndLoopRunnable(int type,boolean isStart);
	/**
	 * 设置或取消停车监控
	 * @param cmd 0为查询状态，1为取消，2为设置
	 * @param min 时间分钟
	 */
	boolean sendMonitoringCmd(byte cmd,int min);
	/**
	 *胎压中变换两个轮胎的位置
	 *@param left1为第一个轮胎的tag
	 *@param right1为第二个轮胎的tag
	 */
	void exchangePlace(int firstPlace,int secondPlace);
	/**
	**
	*/
	void stopRomupdate(int type);
}
